Bug 182972 - devel. metacity won't start with Xair, aiglx, libGL
devel. metacity won't start with Xair, aiglx, libGL
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-24 15:28 EST by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-06 09:43:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-02-24 15:28:10 EST
Description of problem:"error  in  loading shared  libraries: libGL.so.1: cannot
open shared object file: Permission denied" 


Version-Release number of selected component (if applicable):
metacity-2.13.89.0.2006.02.17-2
xorg-x11-server-Xair-1.0.0.0.20060207-5
mesa-libGL.i386 6.4.2-3.aiglx
mesa-libGL-devel.i386 6.4.2-3.aiglx

How reproducible:


Steps to Reproduce:
1. fresh install of fc5t3
2. http://fedoraproject.org/wiki/RenderingProject/AiglxOnFedora
3.
  
Actual results: metacity won't start unless you turn selinux setting to disable


Expected results: eye candy


Additional info: switched selinux to disable on two different computers and
metacity started.
Comment 1 Daniel Walsh 2006-02-24 15:40:03 EST
Make sure you have the latest policy installed and relabel Xair application

restorecon -R -v /usr/bin

This should work with

selinux-policy-2.2.21-7
Comment 2 Need Real Name 2006-02-28 12:58:01 EST
this fixed the problem on both computers.  much thanx.

Note You need to log in before you can comment on or make changes to this bug.